D4Science Infrastructure - Incident #12203

News Feed search function returns result up to mid June 2018
Jul 19, 2018 11:52 AM - Massimiliano Assante

Status: Closed Start date: Jul 19, 2018
Priority: High Due date: Jul 20, 2018
Assignee: Luca Frosini % Done: 100%
Category: Estimated time: 0.00 hour
Target version: SocialNetworkinglmprovements

Infrastructure: Production

Description

It seems that News Feed search function returns result up to mid February 2018, after that no results are returned. It could be related
to the fact that after upgrading to gCube 4.11 the Smart Executor social-data-indexer-se-plugin (which is the one triggering the
indexing of social networking data) was not restarted correctly.

Can you check?

See also previous Incident #11460 and previous incident #12015

Related issues:

Related to D4Science Infrastructure - Incident #11460: News Feed search funct... Closed Mar 15,2018 Mar 15, 2018
Related to D4Science Infrastructure - Incident #12015: News Feed search funct... Closed Jun 25,2018 Jun 26, 2018
Related to D4Science Infrastructure - Task #12263: Restart Accounting Aggregator Closed Jul 27, 2018

History

#1 - Jul 19, 2018 11:52 AM - Massimiliano Assante

- Related to Incident #11460: News Feed search function returns result up to mid February 2018 added

#2 - Jul 19, 2018 11:52 AM - Massimiliano Assante
- Related to Incident #12015: News Feed search function returns result up to mid April 2018 added

#3 - Jul 19, 2018 12:40 PM - Roberto Cirillo

This service has not been upgraded during gCube 4.12. I've tried to restart it. Please, could you check if it works now?

#4 - Jul 19, 2018 12:46 PM - Massimiliano Assante
Nope, still nothing after Mid-End of June (the latest hit i could get is of June 25th)

#5 - Jul 19, 2018 09:38 PM - Roberto Cirillo

- Assignee changed from Roberto Cirillo to Luca Frosini

I' ve restart the resource registry instances during gCube 4.12 release, I'm not sure if that's related. However this plugin has not be upgraded during
gCube 4.12 release. Luca could you take a look?

#6 - Jul 24, 2018 09:56 AM - Roberto Cirillo

any update?

#7 - Jul 24, 2018 10:32 AM - Luca Frosini
- Status changed from New to Closed

- % Done changed from 0 to 100

The smart-executor was not restarted correctly because it was not able to connect to orientdb (orientdb01-d4s.d4science.org).
OrientDB server has saturated the number of connections because of a great number of connections requests from 146.48.123.23
(monitoring.research-infrastructures.eu).

I successfully restarted orientdb as well as social-indexer.
https://redmine.dev.d4science.org/issues/11460
https://redmine.dev.d4science.org/issues/12015

#8 - Jul 24, 2018 11:02 AM - Massimiliano Assante

| confirm that now the search works with the latest posts of July as well.

#9 - Jul 27, 2018 06:58 PM - Luca Frosini
- Related to Task #12263: Restart Accounting Aggregator added
